Skip to main content
`Ctrl`+`K`

# xml_readlines

astropy.utils.xml.iterparser.xml_readlines(source)

  Get the lines from a given XML file. Correctly determines the encoding and always returns unicode.

  Parameters:
    source python:path-like object, file-like (readable), or `python:callable()`

      Handle that contains the data or function that reads it. If a function or callable object, it must directly read from a stream. Non-callable objects must define a `read` method.

  Returns:
    lines `python:list` of `unicode`